Register a new user

Registers a new user with the given information.

post
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Body

Contains the data for the registration form.

passwordstring · min: 1Required

The password that the user is registering with.

firstNamestring · nullableOptional

The first name of the user.

lastNamestring · nullableOptional

The last name of the user.

nickNamestring · nullableOptional

The nickname of the user.

referralCodestring · nullableOptional

The invitation code that the user is using to register.

usernamestring · nullableOptional

The username that the user is registering with.

This can be an email address or a username with format: [a-zA-Z0-9._-]{5}+

phoneNumberstring · nullableOptional

The phone number that the user is registering with. The phone number is in the E.164 format.

emailAddressstring · nullableOptional

The email address that the user is registering with.
This is required and validated using a custom EmailAddress attribute.
Expected to be a valid RFC-compliant email address.

Responses
chevron-right
201

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

post
/api/v1/users/register

Last updated